Loading...
Searching...
No Matches
BALL::QSAR Namespace Reference

## Namespaces

namespace | Exception

## Classes

class | ALLModel
class | AutomaticModelCreator
class | BayesModel
class | ClassificationModel
class | ClassificationValidation
struct | InputConfiguration
struct | InputPartitioningConfiguration
struct | ModelConfiguration
struct | FeatureSelectionConfiguration
struct | ValidationConfiguration
struct | PredictionConfiguration
class | ConfigIO
class | FeatureSelection
class | GPModel
class | Kernel
class | KernelModel
class | KNNModel
class | KPCRModel
class | KPLSModel
class | LatentVariableModel
class | LDAModel
class | LibsvmModel
class | LinearModel
class | LogitModel
class | MLRModel
class | Model
class | ModelFactory
class | NBModel
class | NonLinearModel
class | OPLSModel
class | PCRModel
class | PLSModel
class | QSARData
class | RegistryEntry
class | Registry
class | RegressionModel
class | RegressionValidation
class | RRModel
class | SNBModel
class | Statistics
class | SVMModel
class | SVRModel
class | Validation

## Typedefs

typedef vector< double > | Column
typedef vector< Column > | VMatrix
typedef Model *(* | CreateMethod) (const QSARData &q)
typedef Model *(* | CreateKernel1) (const QSARData &q, int k, double p1, double p2)
typedef Model *(* | CreateKernel2) (const QSARData &q, String s1, String s2)
typedef std::map< int, RegistryEntry >::iterator | RegistryEntryIterator

## Functions

BALL_EXPORT Model * | createNewModelFromFile (String model_file, const QSARData &q)

## Typedef Documentation

## Column

typedef vector<double> BALL::QSAR::Column

Definition at line 51 of file QSARData.h.

## CreateKernel1

typedef Model *(* BALL::QSAR::CreateKernel1) (const QSARData &q, int k, double p1, double p2)

Definition at line 21 of file registry.h.

## CreateKernel2

typedef Model *(* BALL::QSAR::CreateKernel2) (const QSARData &q, String s1, String s2)

Definition at line 22 of file registry.h.

## CreateMethod

typedef Model *(* BALL::QSAR::CreateMethod) (const QSARData &q)

Definition at line 20 of file registry.h.

## RegistryEntryIterator

typedef std::map<int,RegistryEntry>::iterator BALL::QSAR::RegistryEntryIterator

Definition at line 70 of file registry.h.

## VMatrix

typedef vector<Column> BALL::QSAR::VMatrix

Definition at line 52 of file QSARData.h.

## Function Documentation

## createNewModelFromFile()

BALL_EXPORT Model * BALL::QSAR::createNewModelFromFile | ( | String | model_file,
|  | const QSARData & | q )

convenience function for creating a new Model object from a given model-file